com.pdfunit.validators

## Class MultiDocumentXFAValidator

- java.lang.Object
- - com.pdfunit.validators.MultiDocumentXFAValidator

-     @DoNotObfuscate
      public final class MultiDocumentXFAValidator
      extends java.lang.Object

  This class is a wrapper around the XFAValidator to validate XFA data in multiple PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016
  See Also:
    `XFAValidator`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiDocumentXFAValidator(MultiDocumentValidator backReference)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDocumentValidator` | `hasNoXFAData()` This method processes the given XPath expression against the XFA data of each PDF document.
    `MultiDocumentXFAValidator` | `hasXFAData()` Validating that each document of the given set of PDF documents has XFA data.
    `MultiDocumentXFAValidator` | `matchingXPath(XPathExpression xpath)` This method processes the given XPath expression against the XFA data of each PDF document.
    `MultiDocumentXFAValidator` | `withNode(XMLNode node)` This method validates the node name and value, covered by the instance of XMLNode, against all PDF given documents.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiDocumentXFAValidator

          protected MultiDocumentXFAValidator(MultiDocumentValidator backReference)

  - ### Method Detail

    - #### hasNoXFAData

          public MultiDocumentValidator hasNoXFAData()

      This method processes the given XPath expression against the XFA data of each PDF document.

      The XPath expression must result in a type boolean.

    - #### hasXFAData

          public MultiDocumentXFAValidator hasXFAData()

      Validating that each document of the given set of PDF documents has XFA data.

    - #### matchingXPath

          @Guarded
          public MultiDocumentXFAValidator matchingXPath(XPathExpression xpath)

      This method processes the given XPath expression against the XFA data of each PDF document.

      The XPath expression must result in a type boolean.

    - #### withNode

          @Guarded
          public MultiDocumentXFAValidator withNode(XMLNode node)

      This method validates the node name and value, covered by the instance of XMLNode, against all PDF given documents.

Copyright (C) PDFUnit.com. See here for license.